% inter3.m
% fd, iacs, juin, 08 juillet, 4, 26 septembre  2004, 08 janvier 2006.
% fd, 29 juin 2026
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
clear , format long
   
printf("inter3 ; un simple polynome d interpolation \n"); 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

printf("\n");


pdebut = [-1 1 0 -2] ; 
%  placer des points equidistants de 0.2 entre 0 et 1 
n=1
dx=1/n 
x =zeros(n+1,1);
u0=zeros(n+1,1);
for i=1:n+1;
x(i) = (i-1) * dx ;  
u0(i) = (1+2*x(i))*(x(i)-1)*(x(i)-1) ;  end ; 
% u0(i) = (1+2*x(i:i))*(x(i:i)-1)*(x(i:i)-1) ;  end ; 
% x=0:0.2:1 ; 
% u0 = (1+2*x)*(x-1)*(x-1) ;
%  seconde grille plus fine
nn=22
dy=1/nn ;
xx =zeros(nn+1,1);
uu=zeros(nn+1,1);
for i=1:nn+1;
xx(i) = (i-1) * dy ;  
uu(i) = (1+2*xx(i))*(xx(i)-1)*(xx(i)-1) ;  end ; 
% uu = interp1 (x,u0,xx, 'spline');
% title ('Cnam Paris. Travaux pratiques Iacs.') ;
% [chnn,msg] = sprintf ('Une simple spline cubique. Nombre de points pour l affichage : %3i',nn);
% titx = [chnn] ; 
% xlabel ( titx ) ;
% gset yrange[-0.1:1.1] ; gset xrange[-0.1: 1.1] ; 
axis ( [ -.1 , 1.1 , -.1 , 1.1  ]) ;
plot(x,u0,"*;donnees;",xx,uu,"b;interpolation;") ;  
% plot(x,u0,"*;donnees;") ;  



title ('interpolation polynomiale de degre trois') ;
print('03-interpolation-de-hermite', '-djpg','-S891,630')  


